import {Component, OnInit} from '@angular/core';
import {FormBuilder} from '@angular/forms';
import {Commons} from '../../commons';
import {Router} from '@angular/router';
import {LoginService} from './login.service';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss']
})
// 登陆模块
export class LoginComponent extends Commons implements OnInit {
  // 登陆表单
  loginForm = this.fb.group({
    managerName: [''],
    password: ['']
  });


  constructor(private fb: FormBuilder, private router: Router, private loginService: LoginService) {
    super();
  }

  ngOnInit(): void {

  }

  // 登陆方法
  login() {
    console.debug(this.loginForm.value);

    // 发送登陆请求
    if (this.loginService.checkToken()) {
      this.router.navigateByUrl('/forum');
    } else {
      this.loginService.request(JSON.stringify(this.loginForm.value));
    }

  }

}
